For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTAnalyze step results
      • GETList eval batches
      • POSTCompare evals
      • POSTCompare record across evals
      • GETGet eval group
      • STREAMStream eval execution
      • POSTSubmit eval
      • GETGet eval results
Dashboard
LogoLogo
Runtype APIEvals

Stream eval execution

POST
/v1/eval/stream
POST
/v1/eval/stream
$curl -X POST https://api.runtype.com/v1/eval/stream \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'

Execute virtual eval with record/messages input and stream results via multiplexed SSE. All eval configs execute simultaneously in parallel.

Was this page helpful?
Previous

Submit eval

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.

Response

SSE stream of eval results
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object
OR
object

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
500
Internal Server Error